## org.apache.myfaces.custom.schedule.model
Class DefaultScheduleEntry

    java.lang.Object
      org.apache.myfaces.custom.schedule.model.DefaultScheduleEntry

All Implemented Interfaces:
  ScheduleEntry, java.io.Serializable

public class DefaultScheduleEntry
extends java.lang.Object
implements java.io.Serializable, ScheduleEntry

A default implementation of a Schedule entry

Version:
  $Revision$
Author:
  Jurgen Lust (latest modification by $Author$)
See Also:
  Serialized Form

Constructor Summary
`DefaultScheduleEntry()`

Method Summary
`java.lang.String` `getDescription()`
`java.util.Date` `getEndTime()`
`java.lang.String` `getId()`
`java.util.Date` `getStartTime()`
`java.lang.String` `getSubtitle()`
`java.lang.String` `getTitle()`
`void` `setDescription(java.lang.String description)`
`void` `setEndTime(java.util.Date endTime)`
`void` `setId(java.lang.String id)`
`void` `setStartTime(java.util.Date startTime)`
`void` `setSubtitle(java.lang.String subtitle)`
`void` `setTitle(java.lang.String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultScheduleEntry

    public DefaultScheduleEntry()

Method Detail

### setDescription

    public void setDescription(java.lang.String description)

  Parameters:
    `description` - The description to set.

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `ScheduleEntry`
  Returns:
    Returns the description.

### setEndTime

    public void setEndTime(java.util.Date endTime)

  Parameters:
    `endTime` - The endTime to set.

### getEndTime

    public java.util.Date getEndTime()

  Specified by:
    `getEndTime` in interface `ScheduleEntry`
  Returns:
    Returns the endTime.

### setId

    public void setId(java.lang.String id)

  Parameters:
    `id` - The id to set.

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ScheduleEntry`
  Returns:
    Returns the id.

### setStartTime

    public void setStartTime(java.util.Date startTime)

  Parameters:
    `startTime` - The startTime to set.

### getStartTime

    public java.util.Date getStartTime()

  Specified by:
    `getStartTime` in interface `ScheduleEntry`
  Returns:
    Returns the startTime.

### setSubtitle

    public void setSubtitle(java.lang.String subtitle)

  Parameters:
    `subtitle` - The subtitle to set.

### getSubtitle

    public java.lang.String getSubtitle()

  Specified by:
    `getSubtitle` in interface `ScheduleEntry`
  Returns:
    Returns the subtitle.

### setTitle

    public void setTitle(java.lang.String title)

  Parameters:
    `title` - The title to set.

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `ScheduleEntry`
  Returns:
    Returns the title.